/**
 * WordPress Generated Classes
 * http://codex.wordpress.org/CSS#WordPress_Generated_Classes
 */

/* Alignment */
.alignnone {
    margin-left: 0;
    margin-right: 0;
    max-width: 100%;
    height: auto;
}

.aligncenter {
    clear: both;
    display: block;
    margin-left: auto;
    margin-right: auto;
}

@media (max-width: 767px) {
    .alignleft {
        display: inline;
        margin-right: 1.5em;
    }

    .alignright {
        display: inline;
        margin-left: 1.5em;
    }
}

/* Captions */
.wp-caption {
    margin-bottom: 1.5em;
    max-width: 100%;
}

.wp-caption img[class*="wp-image-"] {
    display: block;
    margin-left: auto;
    margin-right: auto;
}

.wp-caption .wp-caption-text {
    margin: 0.8075em 0;
}

.wp-caption-text {
    text-align: center;
}

/* Gallery */
.gallery {
    margin-bottom: 1.5em;
}

.gallery-item {
    display: inline-block;
    text-align: center;
    vertical-align: top;
    width: 100%;
}

.gallery-columns-2 .gallery-item {
    max-width: 50%;
}

.gallery-columns-3 .gallery-item {
    max-width: 33.33%;
}

.gallery-columns-4 .gallery-item {
    max-width: 25%;
}

.gallery-columns-5 .gallery-item {
    max-width: 20%;
}

.gallery-columns-6 .gallery-item {
    max-width: 16.66%;
}

.gallery-columns-7 .gallery-item {
    max-width: 14.28%;
}

.gallery-columns-8 .gallery-item {
    max-width: 12.5%;
}

.gallery-columns-9 .gallery-item {
    max-width: 11.11%;
}

.gallery-caption {
    display: block;
}

/* Text meant only for screen readers (from bootstrap sr-only) */
.screen-reader-text {
    clip: rect(1px, 1px, 1px, 1px);
    position: absolute !important;
    white-space: nowrap;
    height: 1px;
    width: 1px;
    overflow: hidden;
}

.screen-reader-text:focus {
    background-color: #f1f1f1;
    border-radius: 3px;
    box-shadow: 0 0 2px 2px rgba(0, 0, 0, 0.6);
    clip: auto !important;
    color: #21759b;
    display: block;
    font-size: 14px;
    font-size: 0.875rem;
    font-weight: bold;
    height: auto;
    left: 5px;
    line-height: normal;
    padding: 15px 23px 14px;
    text-decoration: none;
    top: 5px;
    width: auto;
    z-index: 100000; /* Above WP toolbar. */
}


@media (min-width: 767px) {
    .li-read-more[data-mobile-only="yes"] {
        display: none !important;
    }

    .li-read-more--content.mobile-only-yes {
        display: inline !important;
    }
}


/*Excample Icons LI with mask*/

.li-icon-container-wrapper {
    display: flex;
    flex-direction: row;
}


.li-icon-container {
    display: flex;
    flex-direction: row;
}

.li-rotation-left {
    transform: rotate(180deg);
}

.li-icon {
    display: flex;
    width: 20px;
    height: 30px;
    text-indent: -9999px;
    background-color: var(--e-global-color-primary);
    mask-size: contain;
    mask-repeat: no-repeat;
    mask-position: center center;
    -webkit-mask-size: contain;
    -webkit-mask-repeat: no-repeat;
    -webkit-mask-position: center center;
}

.li-arrow {
    mask-image: url('/wp-content/themes/hello-child-libase__master/assets/icons/arrow.svg');
    -webkit-mask-image: url('/wp-content/themes/hello-child-libase__master/assets/icons/arrow.svg');
}


/* Fonts */

@font-face {
    font-display: swap;
    font-family: 'Alliance No1';
    font-weight: 300;
    font-style: normal;
    src: url('../fonts/allianceNo1/AllianceNo1-Light.ttf') format('truetype'),
    url('../fonts/allianceNo1/AllianceNo1-Light.eot') format('opentype'),
    url('../fonts/allianceNo1/AllianceNo1-Light.woff2') format('woff'),
    url('../fonts/allianceNo1/AllianceNo1-Light.woff') format('woff2');
}

@font-face {
    font-display: swap;
    font-family: 'Alliance No1';
    font-weight: 500;
    font-style: normal;
    src: url('../fonts/allianceNo1/AllianceNo1-Medium.ttf') format('truetype'),
    url('../fonts/allianceNo1/AllianceNo1-Medium.eot') format('opentype'),
    url('../fonts/allianceNo1/AllianceNo1-Medium.woff2') format('woff'),
    url('../fonts/allianceNo1/AllianceNo1-Medium.woff') format('woff2');
}

@font-face {
    font-display: swap;
    font-family: 'Alliance No1';
    font-weight: 900;
    font-style: normal;
    src: url('../fonts/allianceNo1/AllianceNo1-Black.ttf') format('truetype'),
    url('../fonts/allianceNo1/AllianceNo1-Black.eot') format('opentype'),
    url('../fonts/allianceNo1/AllianceNo1-Black.woff2') format('woff'),
    url('../fonts/allianceNo1/AllianceNo1-Black.woff') format('woff2');
}

@font-face {
    font-display: swap;
    font-family: 'Alliance No2';
    font-weight: 500;
    font-style: normal;
    src: url('../fonts/allianceNo2/AllianceNo2-Medium.ttf') format('truetype'),
    url('../fonts/allianceNo2/AllianceNo2-Medium.eot') format('opentype'),
    url('../fonts/allianceNo2/AllianceNo2-Medium.woff2') format('woff'),
    url('../fonts/allianceNo2/AllianceNo2-Medium.woff') format('woff2');
}

@font-face {
    font-display: swap;
    font-family: 'Alliance No2';
    font-weight: 800;
    font-style: normal;
    src: url('../fonts/allianceNo2/AllianceNo2-ExtraBold.ttf') format('truetype'),
    url('../fonts/allianceNo2/AllianceNo2-ExtraBold.eot') format('opentype'),
    url('../fonts/allianceNo2/AllianceNo2-ExtraBold.woff2') format('woff'),
    url('../fonts/allianceNo2/AllianceNo2-ExtraBold.woff') format('woff2');
}

@font-face {
    font-display: swap;
    font-family: 'Alliance No2';
    font-weight: 400;
    font-style: normal;
    src: url('../fonts/allianceNo2/AllianceNo2-Regular.ttf') format('truetype'),
    url('../fonts/allianceNo2/AllianceNo2-Regular.eot') format('opentype'),
    url('../fonts/allianceNo2/AllianceNo2-Regular.woff2') format('woff'),
    url('../fonts/allianceNo2/AllianceNo2-Regular.woff') format('woff2');
}

@font-face {
    font-display: swap;
    font-family: 'Alliance No2';
    font-weight: 900;
    font-style: normal;
    src: url('../fonts/allianceNo2/Degarism-Studio-Alliance-No.2-Black.ttf') format('truetype'),
    url('../fonts/allianceNo2/Degarism-Studio-Alliance-No.2-Black.eot') format('opentype'),
    url('../fonts/allianceNo2/Degarism-Studio-Alliance-No.2-Black.woff2') format('woff'),
    url('../fonts/allianceNo2/Degarism-Studio-Alliance-No.2-Black.woff') format('woff2');
}

body h1,
body h2,
body h3,
body h4 {
    font-family: 'Alliance No2', sans-serif;
    font-weight: 900;
}

body h5,
body h6 {
    font-family: 'Alliance No2', sans-serif;
    font-weight: 700;
}

body p,
body input {
    font-family: 'Alliance No1', sans-serif;
    font-weight: 300;
}

body span,
body a,
body label {
    font-family: 'Alliance No1', sans-serif;
    font-weight: 400;
}

/* Header Basic Menu*/

.li_nav #menu-main {
    list-style: none;
    display: flex;
    flex-direction: row;
    gap: 40px;
    align-items: stretch;
    align-self: stretch;
}

.li_nav #menu-main li {
    display: flex;

}

.li_nav #menu-main li a {
    display: flex;
    flex-direction: column;
    height: 100%;
    padding: 20px;
    line-height: 1;
    text-transform: uppercase;
    position: relative;
    min-width: 200px;
    overflow: hidden;

}


.li_nav #menu-main li a:before {
    position: absolute;
    left: 0;
    bottom: -80px;
    content: "CSS im Theme!";
    display: flex;
    background: var(--e-global-color-secondary);
    animation: genesis-menu 2s;
    transition: bottom 0.25s ease-out;
    overflow: hidden;
    min-width: 200px;
    padding: 20px;
    width: 100%;


}

.li_nav #menu-main li a:hover:before {
    bottom: 0;
    transition: bottom 0.25s ease-out;

}


.li_nav #menu-mainli a span {
    font-weight: 300;
    color: #000;
    font-size: 20px
}

@media screen and (max-width: 992px) {
    .li_nav #menu-main {
        gap: 10px;
    }

    .li_nav #menu-main li a {
        font-size: 18px;
        padding: 5px;
    }
}


/* Default Footer Menu */


#li-footer .li_nav a {
    color: white;
    text-decoration: none;

}

#li-footer .li_nav ul {
    list-style-type: none;
    display: flex;
    flex-wrap: wrap;
    padding: 0;
    margin: 0;
    flex-direction: column;
    width: 100%;

}

#li-footer .li_nav ul li {
    display: flex;
    flex-direction: row;
}

#li-footer .li_nav ul li a {
    display: flex;
    width: 100%;
    transition: padding 0.4s;
}

#li-footer .li_nav a:hover {
    padding-left: 10px;
    color: #fff;
}

#li-footer .li_nav a::before {
    display: flex;
    width: 14px;
    height: 14px;
    content: "";
    margin-right: 10px;
    align-self: center;
    text-indent: -9999px;
    background-color: #fff;
    mask-size: contain;
    mask-repeat: no-repeat;
    mask-position: center center;
    -webkit-mask-size: contain;
    -webkit-mask-repeat: no-repeat;
    -webkit-mask-position: center center;
    mask-image: url('../icons/arrow.svg')

}


#li-footer .li_nav a:hover::before {
    background-color: #fff;
}


/*shortcode contacts im Footer*/
#li-contacts-footer {
    color: #fff;
}

/* Twin Head Widget */
.elementor-widget-li-twinhead {
    .LiWa-Twinhead-widget {
        text-align: center;

        .LiWa-Twinhead-01 {
            display: inline;
            padding: 10px;
            line-height: 1.3;
            box-decoration-break: clone;
            -webkit-box-decoration-break: clone;

            span {
                margin: -0.2em 0;
                display: inline-block;
            }

            &.yellow-background {
                background: var(--e-global-color-accent);
                color: #000;
            }

            &.white-background {
                background: #fff;
                color: #000;
            }

            @media (max-width: 1024px) {
                padding: 3px;
            }
        }

        .LiWa-Twinhead-02 {
            transform: rotate(-3deg) scale(1.001);
            display: inline-block;

            &.yellow-background {
                background: var(--e-global-color-accent);
                color: #000;
            }

            &.white-background {
                background: #fff;
                color: #000;
            }
        }
    }
}

.media-frame-title h1 {
    font-size: 20px !important;
}

.media-toolbar-secondary h2 {
    font-size: 18px !important;
}

